## cloud-init 0.7.7~bzr1156

=== Makefile ===
CWD=$(shell pwd)
PY_FILES=$(shell find cloudinit bin tests tools -name "*.py" -type f )
PY_FILES+="bin/cloud-init"

YAML_FILES=$(shell find cloudinit bin tests tools -name "*.yaml" -type f )
YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )

CHANGELOG_VERSION=$(shell $(CWD)/tools/read-version)
CODE_VERSION=$(shell python -c "from cloudinit import version; print version.version_string()")

PIP_INSTALL := pip install

ifeq ($(distro),)
  distro = redhat
endif

all: test check_version

pep8:
	@$(CWD)/tools/run-pep8 $(PY_FILES)

pyflakes:
	@$(CWD)/tools/tox-venv py34 pyflakes $(PY_FILES)

pip-requirements:
	@echo "Installing cloud-init dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

pip-test-requirements:
	@echo "Installing cloud-init test dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

test: clean_pyc
	@echo "Running tests..."
	@nosetests $(noseopts) tests/

check_version:
	@if [ "$(CHANGELOG_VERSION)" != "$(CODE_VERSION)" ]; then \
	    echo "Error: ChangeLog version $(CHANGELOG_VERSION)" \
	    "not equal to code version $(CODE_VERSION)"; exit 2; \
	    else true; fi

clean_pyc:
	@find . -type f -name "*.pyc" -delete

2to3:
	2to3 $(PY_FILES)

clean: clean_pyc
	rm -rf /var/log/cloud-init.log /var/lib/cloud/

yaml:
	@$(CWD)/tools/validate-yaml.py $(YAML_FILES)

rpm:
	./packages/brpm --distro $(distro)

deb:
	./packages/bddeb

.PHONY: test pyflakes 2to3 clean pep8 rpm deb yaml check_version
.PHONY: pip-test-requirements pip-requirements clean_pyc

=== debian/changelog ===
cloud-init (0.7.7~bzr1156-1~bpo8+1) jessie-backports; urgency=medium

  * Backported for Jessie. 

 -- Charles Plessy <plessy@debian.org>  Sat, 06 Feb 2016 22:34:12 +0900

cloud-init (0.7.7~bzr1156-1) unstable; urgency=medium

  [ Charles Plessy ]
  * New usptream release and bzr snapshot.  (Closes: #804782)
    ed25519 ssh keys are generated (Closes: #788196).
  * Import some of the changes from ../config/cloud.cfg.
  * Add security mirror.
    Thanks to Brandon Bradley <bradleytastic@gmail.com> (Closes: #783847)
  * Use upstream systemd units (Closes: #784083).
  * debian/00_debian.cfg: ensure that 'nofail' is used instead of
    'nobootwait' (Closes: #702382, #789884).

  [ Bastian Blank ]
  * Make Azure datasource run without root
  * Use upstream init scripts.
  * Use pybuild as build system.
  * Don't hardcode python dependencies.
  * Fix build dependencies.
  * Depend on lsb-release.
  * Update default cloud.cfg.
  * Add myself as uploader.

 -- Bastian Blank <waldi@debian.org>  Fri, 29 Jan 2016 14:28:01 +0100

cloud-init (0.7.6~bzr976-5) unstable; urgency=medium

  * Fixed .service dependency on ssh and not sshd.
  * Switched from Type=oneshot to Type=simple so that other services don't
    keep on waiting for it forever.
  * cloud-config.service doesn't depend on itself anymore, and now has:
    Requires=cloud-init.service, After=cloud-init.service

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Sep 2015 13:25:50 +0200

cloud-init (0.7.6~bzr976-4) unstable; urgency=medium

  * Added cloud-init.cloud-config.target missing file.
  * Removed explicit local-fs.target as services have use
    DefaultDependencies=yes (which is the default). Thanks to Michael Biebl
    <biebl@debian.org> for pointing it out.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jun 2015 16:02:34 +0200

cloud-init (0.7.6~bzr976-3) unstable; urgency=medium

  * Added upstream debian/*.service files (Closes: #784083).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jun 2015 11:33:54 +0200

=== debian/control ===
Source: cloud-init
Maintainer: Charles Plessy <plessy@debian.org>
Uploaders: Bastian Blank <waldi@debian.org>,
           Miguel Landaeta <miguel@miguel.cc>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               iproute2,
               po-debconf,
               pyflakes,
               pylint,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pep8,
               python3-prettytable,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-yaml
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cloud-init.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Depends: lsb-release,
         ifupdown,
         procps,
         ${misc:Depends},
         ${python3:Depends}
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--init-system=systemd,sysvinit_deb,upstart

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_install:
	dh_install
	rm -rf debian/cloud-init/usr/lib/python?.?/dist-packages/tests

override_dh_auto_test:
	# Because setup tools didn't copy data...
	[ ! -d .pybuild/pythonX.Y_?.?/build/tests ] || cp -r tests/data .pybuild/pythonX.Y_?.?/build/tests
	dh_auto_test

override_dh_installinit:
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-init-local
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-config
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-final

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

## cloud-init 0.7.7~bzr1212

=== Makefile ===
CWD=$(shell pwd)
PYVER ?= 3
noseopts ?= -v

YAML_FILES=$(shell find cloudinit bin tests tools -name "*.yaml" -type f )
YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )

CHANGELOG_VERSION=$(shell $(CWD)/tools/read-version)
CODE_VERSION=$(shell python -c "from cloudinit import version; print version.version_string()")

PIP_INSTALL := pip install

ifeq ($(PYVER),3)
  pyflakes = pyflakes3
  unittests = unittest3
  yaml = yaml
else
ifeq ($(PYVER),2)
  pyflakes = pyflakes
  unittests = unittest
else
  pyflakes = pyflakes pyflakes3
  unittests = unittest unittest3
endif
endif

ifeq ($(distro),)
  distro = redhat
endif

all: check

check: check_version pep8 $(pyflakes) test $(yaml)

pep8:
	@$(CWD)/tools/run-pep8

pyflakes:
	@$(CWD)/tools/run-pyflakes

pyflakes3:
	@$(CWD)/tools/run-pyflakes3
	
unittest: clean_pyc
	nosetests $(noseopts) tests/unittests

unittest3: clean_pyc
	nosetests3 $(noseopts) tests/unittests

pip-requirements:
	@echo "Installing cloud-init dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

pip-test-requirements:
	@echo "Installing cloud-init test dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

test: $(unittests)

check_version:
	@if [ "$(CHANGELOG_VERSION)" != "$(CODE_VERSION)" ]; then \
	    echo "Error: ChangeLog version $(CHANGELOG_VERSION)" \
	    "not equal to code version $(CODE_VERSION)"; exit 2; \
	    else true; fi

clean_pyc:
	@find . -type f -name "*.pyc" -delete

clean: clean_pyc
	rm -rf /var/log/cloud-init.log /var/lib/cloud/

yaml:
	@$(CWD)/tools/validate-yaml.py $(YAML_FILES)

rpm:
	./packages/brpm --distro $(distro)

deb:
	./packages/bddeb

.PHONY: test pyflakes pyflakes3 clean pep8 rpm deb yaml check_version
.PHONY: pip-test-requirements pip-requirements clean_pyc unittest unittest3

=== requirements.txt ===
# Pypi requirements for cloud-init to work

# Used for untemplating any files or strings with parameters.
jinja2

# This is used for any pretty printing of tabular data.
PrettyTable

# This one is currently only used by the MAAS datasource. If that
# datasource is removed, this is no longer needed
oauthlib

# This one is currently used only by the CloudSigma and SmartOS datasources.
# If these datasources are removed, this is no longer needed
pyserial

# This is only needed for places where we need to support configs in a manner
# that the built-in config parser is not sufficent (ie
# when we need to preserve comments, or do not have a top-level
# section)...
configobj

# All new style configurations are in the yaml format
pyyaml

# The new main entrypoint uses argparse instead of optparse
argparse

# Requests handles ssl correctly!
requests

# For patching pieces of cloud-config together
jsonpatch

# For Python 2/3 compatibility
six

=== debian/changelog ===
cloud-init (0.7.7~bzr1212-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - fix iscsi root by not writing interface as 'auto' when networking
      information comes from kernel command line (LP: #1568637)
    - apply networking less often, when possible only on first
      instance boot (LP: #1571004).
    - no longer delete /etc/network/interfaces.d/eth0.cfg on
      ubuntu (LP: #1563487)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Apr 2016 16:25:43 -0400

cloud-init (0.7.7~bzr1209-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - fallback net config: do not consider devices starting with 
      'veth' (LP: #1569064)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 14 Apr 2016 16:24:38 -0400

cloud-init (0.7.7~bzr1208-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - phone_home: allow usage of fqdn (LP: #1566824) [Ollie Armstrong]
    - chef: straighten out validation_cert and validation_key (LP: #1568940)
    - skip bridges when generating fallback networking (LP: #1569974)
    - rh_subscription: only check subscription if configured (LP: #1536706)
    - SmartOS, CloudSigma: fix error when dmi data is not availble
      (LP: #1569469)
    - DataSourceNoCloud: fix check_instance_id when upgraded (LP: #1568150)
    - lxd: adds basic support for dpkg based lxd-bridge 
      configuration. (LP: #1569018)
    - centos: Ensure that a resolve conf object is written as a string.
      (LP: #1479988)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 Apr 2016 13:19:03 -0400

cloud-init (0.7.7~bzr1200-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - fix adding of users when no group is specified (LP: #1562918)
    - fix write_files with compressed content (LP: #1565638)
    - systemd: do not specify After of obsolete syslog.target (LP: #1536964)
    - chef: fix chef installation from gems (LP: #1553345)
    - disk_setup: correctly send force to mkfs on block devices (LP: #1548772)
    - locale: list unsupported environment settings in warning (LP: #1558069)
    - fix NoCloud and other datasources if no datasource config (LP: #1514407)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 06 Apr 2016 13:07:27 -0400

cloud-init (0.7.7~bzr1192-0ubuntu2) xenial; urgency=medium

  [Logan Rosen]
  * debian/cloud-init.postinst: fix shell syntax in upgrade (LP: #1564187)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 31 Mar 2016 10:09:09 -0400

cloud-init (0.7.7~bzr1192-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - Misc fixes for VMware Support.
    - network config improvements:
      - do not raise exception on non-debian if network config is found.
      - apply network config in 'cloud-init --local' even if there is
        no datasource found.
      - do not write 70-persistent-net.rules only systemd .link files.
    - improve how cloud-init-wait waits: remove the check and sleep
      loop and replace it with 'udevadm settle'.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 29 Mar 2016 16:34:25 -0400

cloud-init (0.7.7~bzr1189-0ubuntu1) xenial; urgency=medium

  * d/control: adjust build dependency as python3-pyflakes in xenial
    now provides python3 modules for pyflakes.
  * d/cloud-init.install, d/control, d/dirs, d/grub-legacy-ec2.install:
    run wrap-and-sort
  * d/cloud-init.install: add lib/udev/ files.
  * d/cloud-init.postinst: touch /var/lib/cloud/data/upgraded-network
    if upgrading from version that did not have network support.
  * New upstream snapshot.
    * initial support for support network configuration in cloud-init --local
    * do not rely on network metadata service on every boot for 
      ConfigDrive Openstack Azure (LP: #1553815)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Mar 2016 17:36:40 -0400

cloud-init (0.7.7~bzr1182-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * systemd changes enforcing intended ordering (cloud-init-local.service
      before networking and cloud-init.service before it comes up).
    * when reading dmidecode data, return found but unset value as "" rather
      than failing to decode that value.
    * add default user to 'lxd' group and create groups when necessary
      (LP: #1539317)
    * No longer run pollinate in seed_random (LP: #1554152)
    * Enable BigStep data source.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 14 Mar 2016 09:58:56 -0400

cloud-init (0.7.7~bzr1176-0ubuntu1) xenial; urgency=medium

  * d/README.source, d/new-upstream-snapshot: simplify the README.source
    with a script.
  * d/rules: support DEB_BUILD_OPTIONS=nocheck and remove unused code.
  * d/rules: make tests with python3
  * d/control: add pep8 as a build depends
  * d/cloud-init.preinst, d/cloud-init.postinst adjust upgrade path
    to adjust systemd jobs that put cloud-init unit jobs directly
    in multi-user.target.
  * New upstream snapshot.
    * Add Image Customization Parser for VMware vSphere Hypervisor Support.
      Disabled by default. [Sankar Tanguturi]
    * lxd: add initial support for setting up lxd using 'lxd init'
    * Handle escaped quotes in WALinuxAgentShim.find_endpoint (LP: #1488891)
    * timezone: use a symlink when updating /etc/localtime (LP: #1543025)
    * enable more code testing in 'make check'
    * Added Bigstep datasource [Daniel Watkins]
    * Enable password changing via a hashed string [Alex Sirbu]

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Mar 2016 15:44:02 -0500

cloud-init (0.7.7~bzr1160-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    * SmartOS: Add support for Joyent LX-Brand Zones (LP: #1540965)
    * systemd/power_state: fix power_state when cloud-final exited failure
      (LP: #1449318)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 04 Feb 2016 17:22:36 -0500

cloud-init (0.7.7~bzr1156-0ubuntu2) xenial; urgency=medium

  * debian/cloud-init.postinst, systemd_detect_virt.patch: Call
    systemd-detect-virt instead of the Ubuntu specific running-in-container
    wrapper. (LP: #1539016)



=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               iproute2,
               pep8,
               po-debconf,
               pyflakes,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pep8,
               python3-prettytable,
               python3-pyflakes | pyflakes (<< 1.1.0-2),
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-yaml
XS-Python-Version: all
Standards-Version: 3.9.6

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         ifupdown (>= 0.6.10ubuntu5),
         procps,
         python3,
         python3-requests (>= 0.8.2),
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, software-properties-common
Provides: ec2-init
Replaces: ec2-init (<<0.5.3)
Conflicts: ec2-init (<<0.5.3)
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

Package: grub-legacy-ec2
Depends: debconf (>= 1.5.19) | cdebconf,
         ucf,
         util-linux (>= 2.15-1),
         ${misc:Depends}
Conflicts: grub
Suggests: grub-legacy-doc
Architecture: all
Description: Handles update-grub for ec2 instances
 EC2 instances that use grub-legacy as a bootloader need a way to keep
 /boot/grub/menu.lst up to date while not conflicting with grub-pc.
 This package provides that.

Package: ec2-init
Depends: cloud-init, ${misc:Depends}
Architecture: all
Description: package renamed -> cloud-init
 This package has been renamed to 'cloud-init'.

=== debian/rules ===
#!/usr/bin/make -f
INIT_SYSTEM ?= upstart,systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	http_proxy= make PYVER=3 check
else
	@echo check disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

## cloud-init 0.7.7~bzr1215

=== debian/changelog ===
cloud-init (0.7.7~bzr1215-3) unstable; urgency=medium

  * Depend on gdisk, needed for GPT handling.

 -- Bastian Blank <bastian.blank@credativ.de>  Fri, 10 Jun 2016 16:56:41 +0200

cloud-init (0.7.7~bzr1215-2) unstable; urgency=medium

  * Build-depend on python3-pyflakes instead of pyflakes.

 -- Bastian Blank <bastian.blank@credativ.de>  Tue, 10 May 2016 17:18:53 +0200

cloud-init (0.7.7~bzr1215-1) unstable; urgency=medium

  * New upstream snapshot.

  [ Charles Plessy ]
  * Translations added or updated.
    - Danish: Joe Dalton <joedalton2@yahoo.dk>
      Closes: #781336
    - Dutch: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
      Closes: #765869
    - Japanese: Takuma Yamada <tyamada@takumayamada.com>
      Closes: #816071
    - Portuguese: Américo Monteiro <a_monteiro@gmx.com>
      Closes: #816141
    - Russian: Yuri Kozlov <yuray@komyakino.ru>
      Closes: #761617
    - Spanish: Jathan <jathanblackred@openmailbox.org>
      Closes: #783564
    - Swedish: Martin Bagge <brother@bsnet.se>
               Anders Jonsson <anders.jonsson@norsjovallen.se>
      Closes: #781681
  * Update syntax of rsyslog snippet ("~" is deprecated).
    Thanks to Tobias Wolter <towo@ydal.de> (Closes: #791934)

  [ Bastian Blank ]
  * Fix tests.

 -- Bastian Blank <bastian.blank@credativ.de>  Fri, 06 May 2016 12:10:17 +0200

cloud-init (0.7.7~bzr1156-2) unstable; urgency=medium

  * Import data source list from Ubuntu.
  * Clarify Azure data source.
  * Rename failsafe to fallback.
  * Unify data source descriptions.
  * Drop diversion of /etc/init/ureadahead.conf.
  * Fix backports entry in source.list template.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 24 Feb 2016 17:38:38 +0100

=== debian/control ===
Source: cloud-init
Maintainer: Charles Plessy <plessy@debian.org>
Uploaders: Bastian Blank <waldi@debian.org>,
           Miguel Landaeta <miguel@miguel.cc>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               iproute2,
               pep8,
               po-debconf,
               pylint,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pep8,
               python3-prettytable,
               python3-pyflakes,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-yaml
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cloud-init.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Depends: gdisk,
         lsb-release,
         ifupdown,
         procps,
         ${misc:Depends},
         ${python3:Depends}
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_INSTALL_ARGS=--init-system=systemd,sysvinit_deb,upstart

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
	make PYVER=3 check

override_dh_installinit:
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-init-local
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-config
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-final

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

## cloud-init 0.7.8-15-g6e45ffb

=== debian/changelog ===
cloud-init (0.7.8-15-g6e45ffb-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - systemd: Run cloud-init.service Before dbus.socket not dbus.target
      [Daniel Watkins] (LP: #1629797).

 -- Scott Moser <smoser@ubuntu.com>  Fri, 07 Oct 2016 12:41:38 -0400

cloud-init (0.7.8-14-g94fd35e-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - systemd: run cloud-init.service Before dbus.service (LP: #1629797)
    - unittests: fix use of mock 2.0 'assert_called' when running make check
      [Ryan Harper]
    - Improve module documentation and doc cleanup.  [Wesley Wiedenmeier]

 -- Scott Moser <smoser@ubuntu.com>  Tue, 04 Oct 2016 16:46:05 -0400

cloud-init (0.7.8-11-g02f6c4b-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - lxd: Update network config for LXD 2.3 [Stéphane Graber]
    - DigitalOcean: use meta-data for network configruation [Ben Howard]
    - ntp: move to run after apt configuration (LP: #1628337)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 29 Sep 2016 14:30:15 -0400

cloud-init (0.7.8-8-g0439d8a-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Decode unicode types in decode_binary [Robert Schweikert]
    - systemd: Ensure that cloud-init-local happens before NetworkManager
    - Allow ephemeral drive to be unpartitioned [Paul Meyer]
    - subp: add 'update_env' argument

 -- Scott Moser <smoser@ubuntu.com>  Fri, 23 Sep 2016 16:51:27 -0400

cloud-init (0.7.8-4-g970dbd1-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - net: support reading ipv6 dhcp config from initramfs [LaMont Jones]
      (LP: #1621615)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Sep 2016 11:56:23 -0400

cloud-init (0.7.8-3-g80f5ec4-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Adjust mounts and disk configuration for systemd. (LP: #1611074)
    - dmidecode: run dmidecode only on i?86 or x86_64 arch. [Robert Schweikert]

 -- Scott Moser <smoser@ubuntu.com>  Tue, 20 Sep 2016 13:59:20 -0400

cloud-init (0.7.8-1-g3705bb5-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.7.8.
  * New upstream snapshot.
    - systemd: put cloud-init.target After multi-user.target (LP: #1623868)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Sep 2016 09:47:11 -0400

cloud-init (0.7.7-31-g65ace7b-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Allow link type of null in network_data.json [Jon Grimm] (LP: #1621968)
    - DataSourceOVF: fix user-data as base64 with python3 (LP: #1619394)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 12 Sep 2016 14:56:42 -0400

cloud-init (0.7.7-28-g34a26f7-0ubuntu2) yakkety; urgency=medium

  * debian/control: fix missing dependency on python3-serial,
    and make SmartOS datasource work.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Sep 2016 21:22:13 -0400

cloud-init (0.7.7-28-g34a26f7-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - systemd: Better support package and upgrade.
      (LP: #1576692, #1621336)
    - tests: cleanup tempdirs in apt_source tests

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Sep 2016 16:01:13 -0400

cloud-init (0.7.7-26-g058dd75-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - apt config conversion: treat empty string as not provided. (LP: #1621180)
    - Fix typo in default keys for phone_home [Roland Sommer] (LP: #1607810)
    - salt minion: update default pki directory for newer salt minion.
      (LP: #1609899)
    - bddeb: add --release flag to specify the release in changelog.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 08 Sep 2016 09:36:52 -0400

cloud-init (0.7.7-22-g763f403-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - apt-config: allow both old and new format to be present.
      [Christian Ehrhardt] (LP: #1616831)
    - python2.6: fix dict comprehension usage in _lsb_release. [Joshua Harlow]
    - Add a module that can configure spacewalk. [Joshua Harlow]
    - add install option for openrc [Matthew Thode]
    - Generate a dummy bond name for OpenStack (LP: #1605749)
  * debian/control, debian/README.source: update to reference git.
  * debian/new-upstream-snapshot: small fixes.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Aug 2016 15:22:13 -0400

cloud-init (0.7.7-17-g40a2f62-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - network: fix get_interface_mac for bond slave, read_sys_net for ENOTDIR
    - azure dhclient-hook cleanups
    - Minor cleanups to atomic_helper and add unit tests.
    - Fix Gentoo net config generation [Matthew Thode]
  * debian/control: drop very old meta-package ec2-init
  * debian/rules, debian/cloud-init.install: remove install file
    and use --destdir=debian/cloud-init. (LP: #1615745)
  * debian/dirs: remove obsolete / unused file.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 22 Aug 2016 17:02:56 -0400

cloud-init (0.7.7-13-g41271bd-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - distros: fix get_primary_arch method use of os.uname [Andrew Jorgensen]
    - Apt: add new apt configuration format [Christian Ehrhardt]
    - Get Azure endpoint server from DHCP client [Brent Baude]
  * debian/new-upstream-snapshot: update to use git and packaging branches.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Aug 2016 17:11:51 -0400

cloud-init (0.7.7-10-gbc2c326-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot:
    - DigitalOcean: use the v1.json endpoint
    - MAAS: add vendor-data support (LP: #1612313)
    - Upgrade the minimum configobj package to one new enough to work
    - ConfigDrive: recognize 'tap' as a link type.  (LP: #1610784)
    - NoCloud: fix bug providing network-interfaces via meta-data.
      (LP: #1577982)
    - Add distro tags on config modules that should have it
    - add ntp config module
    - SmartOS: more improvements for network configuration

 -- Scott Moser <smoser@ubuntu.com>  Fri, 12 Aug 2016 17:18:01 -0400

cloud-init (0.7.7-0ubuntu1) yakkety; urgency=medium



=== debian/rules ===
#!/usr/bin/make -f
INIT_SYSTEM ?= upstart,systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	http_proxy= make PYVER=python3 check
else
	@echo check disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

override_dh_auto_install:
	dh_auto_install --destdir=debian/cloud-init
	install -D ./tools/21-cloudinit.conf debian/cloud-init/etc/rsyslog.d/21-cloudinit.conf
	install -D ./tools/Z99-cloud-locale-test.sh debian/cloud-init/etc/profile.d/Z99-cloud-locale-test.sh

## cloud-init 0.7.9

=== debian/changelog ===
cloud-init (0.7.9-5) unstable; urgency=medium

  * Test with all Python versions.
  * Moved a bunch of build-depends to build-depends-indep.
  * Ran wrap-and-sort -bast.
  * Add runtime depends: cloud-guest-utils and locales (Closes: #878819).
  * Add eatmydata and sudo as recommends.
  * Add 0012-Fix-message-when-a-local-is-missing.patch which is Debian specific
    as Ubuntu handles locales differently (Closes: #804918).
  * Update / add new debconf template translations:
    - fr.po (Closes: #819507).
    - nl.po (Closes: #834612).
    - de.po (Closes: #842490).
    - pt_BR.po (Closes: #846526).
    - it.po (Closes: #846929).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 20:04:32 +0000

cloud-init (0.7.9-4) unstable; urgency=high

  * Add patch to avoid hardcoding /sbin for modprobe and udevadm.
    (Closes: #852564)

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Sep 2017 23:58:09 +0200

cloud-init (0.7.9-3) unstable; urgency=medium

  * Fixed case for "OpenStack" in debian/cloud-init.templates (Closes: #841315)
  * Removed contrib and non-free by default (Closes: #865611).
  * Remove upstart support.
  * Standards-Version is now 4.0.0.
  * Overrides lintian cloud-init: init.d-script-depends-on-all-virtual-facility

 -- Thomas Goirand <zigo@debian.org>  Sat, 22 Jul 2017 16:20:48 +0200

cloud-init (0.7.9-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch from Joonas Kylmälä to fix FTBFS. (Closes: #865577)

 -- Adrian Bunk <bunk@debian.org>  Thu, 20 Jul 2017 13:24:49 +0300

cloud-init (0.7.9-2) unstable; urgency=medium

  * Add net-tools as runtime depends (Closes: #853926).
  * Add depends: on lsb-base.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Feb 2017 13:23:41 +0000

cloud-init (0.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Thu, 19 Jan 2017 16:25:04 +0100

cloud-init (0.7.8-64-g166df60-1) unstable; urgency=medium

  * New upstream snapshot.
  * Adopt upstream changes to cloud.cfg.
  * Use deb.debian.org as primary mirror.

 -- Bastian Blank <waldi@debian.org>  Wed, 07 Dec 2016 13:27:36 +0100

cloud-init (0.7.8-49-g9e904bb-1) unstable; urgency=medium

  * New upstream snapshot.
  * Set maintainer to Debian Cloud Team.
  * Use debhelper compat level 10.

 -- Bastian Blank <waldi@debian.org>  Tue, 29 Nov 2016 21:05:36 +0100

cloud-init (0.7.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.8 (Closes: #838748, #780637)
  * Add README.Debian (Closes: #695327)
  * Bump Standards-Version to 3.9.8
    No change required.
  * Run debconf-updatepo during clean.
  * Skip failing test_apt_v3_mirror_search_dns.
    This test may fail if the local domain is set.
  * Skip Cloudstack tests that expect network.
  * Update patch metadata.
    1 patch forwarded upstream
  * Update Vcs-* URLs to use HTTPS.
  * Make example files ASCII-only.
    They may otherwise fail to parse.
  * Fix dependencies on {local,remote}_fs in init scripts.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 24 Sep 2016 13:57:04 +0200

=== debian/control ===
Source: cloud-init
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders:
 Bastian Blank <waldi@debian.org>,
 Charles Plessy <plessy@debian.org>,
 Miguel Landaeta <nomadium@debian.org>,
 Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 dh-systemd,
 iproute2,
 pep8,
 po-debconf,
 pylint,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-pyflakes,
 python3-configobj,
 python3-httpretty,
 python3-jinja2,
 python3-jsonpatch,
 python3-mock,
 python3-nose,
 python3-oauthlib,
 python3-pep8,
 python3-prettytable,
 python3-requests,
 python3-serial,
 python3-six,
 python3-unittest2,
 python3-yaml,
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/cloud/cloud-init.git
Vcs-Git: https://anonscm.debian.org/git/cloud/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Depends:
 cloud-guest-utils,
 gdisk,
 ifupdown,
 locales,
 lsb-base,
 lsb-release,
 net-tools,
 procps,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 eatmydata,
 sudo,
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)
export PYBUILD_INSTALL_ARGS=--init-system=systemd,sysvinit_deb

%:
	dh $@ --with python3,systemd --buildsystem pybuild

clean:
	debconf-updatepo
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
	set -e && set -x && for pyvers in $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
		PYTHON=python$$pyvers PYTHONPATH=. python$$pyvers -m nose -v tests/unittests ; \
	done

override_dh_installinit:
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-init-local
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-config
	dh_installinit --onlyscripts --no-start --no-restart-on-upgrade --name cloud-final

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

## cloud-init 0.7.9-48

=== Makefile ===
CWD=$(shell pwd)
PYVER ?= $(shell for p in python3 python2; do \
	out=$(which $$p 2>&1) && echo $$p && exit; done; \
	exit 1)
noseopts ?= -v

YAML_FILES=$(shell find cloudinit bin tests tools -name "*.yaml" -type f )
YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )

PIP_INSTALL := pip install

ifeq ($(PYVER),python3)
  pyflakes = pyflakes3
  unittests = unittest3
  yaml = yaml
else
ifeq ($(PYVER),python2)
  pyflakes = pyflakes
  unittests = unittest
else
  pyflakes = pyflakes pyflakes3
  unittests = unittest unittest3
endif
endif

ifeq ($(distro),)
  distro = redhat
endif

READ_VERSION=$(shell $(PYVER) $(CWD)/tools/read-version || \
  echo read-version-failed)
CODE_VERSION=$(shell $(PYVER) -c "from cloudinit import version; print(version.version_string())")


all: check

check: check_version test $(yaml)

style-check: pep8 $(pyflakes)

pep8:
	@$(CWD)/tools/run-pep8

pyflakes:
	@$(CWD)/tools/run-pyflakes

pyflakes3:
	@$(CWD)/tools/run-pyflakes3
	
unittest: clean_pyc
	nosetests $(noseopts) tests/unittests

unittest3: clean_pyc
	nosetests3 $(noseopts) tests/unittests

pip-requirements:
	@echo "Installing cloud-init dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

pip-test-requirements:
	@echo "Installing cloud-init test dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

test: $(unittests)

check_version:
	@if [ "$(READ_VERSION)" != "$(CODE_VERSION)" ]; then \
	    echo "Error: read-version version '$(READ_VERSION)'" \
	    "not equal to code version '$(CODE_VERSION)'"; exit 2; \
	    else true; fi

clean_pyc:
	@find . -type f -name "*.pyc" -delete

clean: clean_pyc
	rm -rf /var/log/cloud-init.log /var/lib/cloud/

yaml:
	@$(PYVER) $(CWD)/tools/validate-yaml.py $(YAML_FILES)

rpm:
	./packages/brpm --distro $(distro)

deb:
	./packages/bddeb

.PHONY: test pyflakes pyflakes3 clean pep8 rpm deb yaml check_version
.PHONY: pip-test-requirements pip-requirements clean_pyc unittest unittest3
.PHONY: style-check

## cloud-init 0.7.9-90-g61eb03fe

=== debian/changelog ===
cloud-init (0.7.9-90-g61eb03fe-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/cloud-init.templates: add Bigstep to list of sources. (LP: #1676460)
  * New upstream snapshot.
    - OpenStack: add 'dvs' to the list of physical link types. (LP: #1674946)
    - Fix bug that resulted in an attempt to rename bonds or vlans.
      (LP: #1669860)
    - tests: update OpenNebula and Digital Ocean to not rely on host
      interfaces.
    - net: in netplan renderer delete known image-builtin content.
      (LP: #1675576)
    - doc: correct grammar in capabilities.rst [David Tagatac]
    - ds-identify: fix detecting of maas datasource. (LP: #1677710)
    - netplan: remove debugging prints, add debug logging [Ryan Harper]
    - ds-identify: do not write None twice to datasource_list.
    - support resizing partition and rootfs on system booted without
      initramfs.  [Steve Langasek] (LP: #1677376)
    - apt_configure: run only when needed. (LP: #1675185)
    - OpenStack: identify OpenStack by product 'OpenStack Compute'.
      (LP: #1675349)
    - GCE: Search GCE in ds-identify, consider serial number in check.
      (LP: #1674861)
    - Add support for setting hashed passwords [Tore S. Lonoy] (LP: #1570325)
    - Fix filesystem creation when using "partition: auto"
      [Jonathan Ballet] (LP: #1634678)
    - ConfigDrive: support reading config drive data from /config-drive.
      (LP: #1673411)
    - ds-identify: fix detection of Bigstep datasource. (LP: #1674766)
    - test: add running of pylint [Joshua Powers]
    - ds-identify: fix bug where filename expansion was left on.
    - advertise network config v2 support (NETWORK_CONFIG_V2) in features.
    - Bigstep: fix bug when executing in python3. [root]
    - Fix unit test when running in a system deployed with cloud-init.
    - Bounce network interface for Azure when using the built-in path.
      [Brent Baude] (LP: #1674685)
    - cloudinit.net: add network config v2 parsing and rendering [Ryan Harper]
    - net: Fix incorrect call to isfile [Joshua Powers] (LP: #1674317)
    - net: add renderers for automatically selecting the renderer.
    - doc: fix config drive doc with regard to unpartitioned disks.
      (LP: #1673818)
    - test: Adding integratiron test for password as list [Joshua Powers]
    - render_network_state: switch arguments around, do not require target
    - support 'loopback' as a device type.
    - Integration Testing: improve testcase subclassing [Wesley Wiedenmeier]
    - gitignore: adding doc/rtd_html [Joshua Powers]
    - doc: add instructions for running integration tests via tox.
      [Joshua Powers]
    - test: avoid differences in 'date' output due to daylight savings.
    - Fix chef config module in omnibus install. [Jeremy Melvin] (LP: #1583837)
    - Add feature flags to cloudinit.version. [Wesley Wiedenmeier]
    - tox: add a citest environment
    - Support chpasswd/list being a list in addition to a string.
      [Sergio Lystopad] (LP: #1665694)
    - doc: Fix configuration example for cc_set_passwords module.
      [Sergio Lystopad] (LP: #1665773)
    - net: support both ipv4 and ipv6 gateways in sysconfig.
      [Lars Kellogg-Stedman] (LP: #1669504)
    - net: do not raise exception for > 3 nameservers
      [Lars Kellogg-Stedman] (LP: #1670052)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 03 Apr 2017 11:52:56 -0400

cloud-init (0.7.9-48-g1c795b9-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/rules: install Z99-cloudinit-warnings.sh to /etc/profile.d
  * debian/patches/ds-identify-behavior-xenial.patch: adjust default
    behavior of ds-identify for SRU (LP: #1669675, #1660385).
  * New upstream snapshot.
    - Support warning if the used datasource is not in ds-identify's list
      (LP: #1669675).
    - DatasourceEc2: add warning message when not on AWS. (LP: #1660385)
    - Z99-cloudinit-warnings: Add profile.d script for showing warnings on
    - Z99-cloud-locale-test.sh: convert tabs to spaces, remove unneccesary
      execute bit in permissions.
    - (RedHat) net: correct errors in cloudinit/net/sysconfig.py
      [Lars Kellogg-Stedman]
    - ec2_utils: fix MetadataLeafDecoder that returned bytes on empty
    - Fix eni rendering of multiple IPs per interface [Ryan Harper]
      (LP: #1657940)
    - Add 3 ecdsa-sha2-nistp* ssh key types now that they are standardized
      [Lars Kellogg-Stedman]
    - EC2: Do not cache security credentials on disk [Andrew Jorgensen]
      (LP: #1638312)
    - OpenStack: Use timeout and retries from config in get_data.
      [Lars Kellogg-Stedman] (LP: #1657130)
    - Fixed Misc issues related to VMware customization. [Sankar Tanguturi]
    - (RedHat) Use dnf instead of yum when available [Lars Kellogg-Stedman]
    - Get early logging logged, including failures of cmdline url.
    - test / doc / build environment changes
      - Remove style checking during build and add latest style checks to
        tox [Joshua Powers]
      - code-style: make master pass pycodestyle (2.3.1) cleanly, currently
        [Joshua Powers]
      - Fix small typo and change iso-filename for consistency
      - tools/mock-meta: support python2 or python3 and ipv6 in both.
      - tests: remove executable bit on test_net, so it runs, and fix it.
      - tests: No longer monkey patch httpretty for python 3.4.2
      - reset httppretty for each test [Lars Kellogg-Stedman]
      - build: fix running Make on a branch with tags other than master
      - doc: Fix typos and clarify some aspects of the part-handler
        [Erik M. Bray]
      - doc: add some documentation on OpenStack datasource.
      - Fix minor docs typo: perserve > preserve [Jeremy Bicha]
      - validate-yaml: use python rather than explicitly python3

 -- Scott Moser <smoser@ubuntu.com>  Mon, 06 Mar 2017 16:34:10 -0500

cloud-init (0.7.9-0ubuntu1~16.04.2) xenial-proposed; urgency=medium

  * debian/update-grub-legacy-ec2: fix shell syntax error. (LP: #1662221)



=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Scott Moser <smoser@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               iproute2,
               pep8,
               po-debconf,
               pyflakes,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pep8,
               python3-prettytable,
               python3-pyflakes | pyflakes (<< 1.1.0-2),
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-unittest2,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://git.launchpad.net/cloud-init/?h=ubuntu/devel
Vcs-Git: git://git.launchpad.net/cloud-init -b ubuntu/devel
Standards-Version: 3.9.6

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         ifupdown (>= 0.6.10ubuntu5),
         procps,
         python3,
         python3-requests (>= 0.8.2),
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Breaks: walinuxagent (<< 2.1.3-0ubuntu4.1)
Recommends: eatmydata, gdisk, software-properties-common
Provides: ec2-init
Replaces: ec2-init (<<0.5.3)
Conflicts: ec2-init (<<0.5.3)
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

Package: grub-legacy-ec2
Depends: debconf (>= 1.5.19) | cdebconf,
         ucf,
         util-linux (>= 2.15-1),
         ${misc:Depends}
Conflicts: grub
Suggests: grub-legacy-doc
Architecture: all
Description: Handles update-grub for ec2 instances
 EC2 instances that use grub-legacy as a bootloader need a way to keep
 /boot/grub/menu.lst up to date while not conflicting with grub-pc.
 This package provides that.

Package: ec2-init
Depends: cloud-init, ${misc:Depends}
Architecture: all
Description: package renamed -> cloud-init
 This package has been renamed to 'cloud-init'.

## cloud-init 0.7.9-113-g513e99e0

=== debian/changelog ===
cloud-init (0.7.9-113-g513e99e0-0ubuntu1~16.04.1) xenial-proposed; urgency=medium

  * debian/update-grub-legacy-ec2: fix early exit failure no /etc/fstab
    file. (LP: #1682160)
  * New upstream snapshot.
    - nova-lxd: read product_name from environment, not platform.
      (LP: #1685810)
    - Fix yum repo config where keys contain array values [Dylan Perry]
    - template: Update debian backports template [Joshua Powers]
    - rsyslog: replace ~ with stop [Joshua Powers] (LP: #1367899)
    - Doc: add additional RTD examples [Joshua Powers]
    - Fix growpart for some cases when booted with root=PARTUUID.
      (LP: #1684869)
    - pylint: update output style to parseable [Joshua Powers]
    - pylint: fix all logging warnings [Joshua Powers]
    - CloudStack: Add NetworkManager to list of supported DHCP lease dirs.
      [Syed Mushtaq Ahmed]
    - net: kernel lies about vlans not stealing mac addresses, when they do
      [Dimitri John Ledkov] (LP: #1682871)
    - ds-identify: Check correct path for "latest" config drive
      [Daniel Watkins] (LP: #1673637)
    - doc: Fix example for resolv.conf configuration.  [Jon Grimm]
    - Fix examples that reference upstream chef repository.  [Jon Grimm]
    - doc: correct grammar and improve clarity in merging documentation.
      [David Tagatac]
    - doc: Add missing doc link to snap-config module. [Ryan Harper]
    - snap: allows for creating cloud-init snap [Joshua Powers]
    - DigitalOcean: assign IPv4ll address to lowest indexed interface.
      [Ben Howard] (LP: #1676908)
    - DigitalOcean: configure all NICs presented in meta-data.
      [Ben Howard] (LP: #1676908)
    - Remove (and/or fix) URL shortener references [Jon Grimm]
    - HACKING.rst: more info on filling out contributors agreement.
    - util: teach write_file about copy_mode option
      [Lars Kellogg-Stedman] (LP: #1644064)
    - DigitalOcean: bind resolvers to loopback interface.
      [Ben Howard] (LP: #1676908)
    - tests: fix AltCloud tests to not rely on blkid (LP: #1636531)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 27 Apr 2017 12:51:04 -0400

## cloud-init 0.7.9-153

=== Makefile ===
--- 
+++ 
@@ -82,6 +82,10 @@
 	./packages/brpm --distro $(distro)
 
 deb:
+	@which debuild || \
+		{ echo "Missing devscripts dependency. Install with:"; \
+		  echo sudo apt-get install devscripts; exit 1; }
+
 	./packages/bddeb
 
 .PHONY: test pyflakes pyflakes3 clean pep8 rpm deb yaml check_version
